Name:		php-simplepie
Version:	1.1.3
Release:	3%{?dist}
Summary:	Simple RSS Library in PHP

Group:		Development/Libraries
License:	BSD
URL:		http://simplepie.org/
Source0:	http://simplepie.org/downloads/simplepie_%{version}.zip
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch
Requires:	php-IDNA_Convert

%description
SimplePie is a very fast and easy-to-use class, written in PHP, that puts the 
'simple' back into 'really simple syndication'. Flexible enough to suit 
beginners and veterans alike, SimplePie is focused on speed, ease of use, 
compatibility and standards compliance.

%prep
%setup -qn %{version}
chmod -x demo/cli_test.php
chmod -x demo/for_the_demo/mediaplayer_readme.htm


%build
#non-empty build section to quell the belching that rpmlint does with an empty build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/php/%{name}
cp -a create.php simplepie.inc  %{buildroot}/%{_datadir}/php/%{name}/
 



%clean
rm -rf  %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt demo
%{_datadir}/php/%{name}



%changelog
* Thu Apr 23 2009 David Nalley <david@gnsa.us> 1.1.3-3
- used version macro in source url
- stopped using two different macros for buildroot
- stopped using macro for mkdir
- moved chmods to immediately after setup in prep
- removed line that rm compatibility_test
- used a single line to copy create.php and simplepie.inc
* Thu Apr 23 2009 David Nalley <david@gnsa.us> 1.1.3-2
- Removed php asa requires since php-IDNA_convert pulls it in
* Wed Apr 22 2009 David Nalley <david@gnsa.us> 1.1.3-1
- Initial packaging efforts

